Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface LoaderRepositoryType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  LoaderRepositoryTypeImpl

    public interface LoaderRepositoryType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `loader-repositoryType` xsd type

Original Documentation:

The loader-repository specifies the name of the UnifiedLoaderRepository
MBean to use for the ear to provide ear level scoping of classes deployed
in the ear. It is a unique JMX ObjectName string. It may also specify
an arbitrary configuration by including a loader-repository-config element.
Examples:
jboss.test:loader=cts-cmp2v1-sar.ear
dot.com:loader=unique-archive-name
java2ParentDelegaton=true

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getLoaderRepositoryClass()` Returns the `loaderRepositoryClass` element
`java.util.List<LoaderRepositoryConfigType<LoaderRepositoryType<T>>>` | `getLoaderRepositoryConfigList()` Returns all `loader-repository-config` elements
`LoaderRepositoryConfigType<LoaderRepositoryType<T>>` | `loaderRepositoryConfig()` Returns the `loader-repository-config` element
`LoaderRepositoryType<T>` | `removeAllLoaderRepositoryConfig()` Removes all `loader-repository-config` elements
`LoaderRepositoryType<T>` | `removeLoaderRepositoryClass()` Removes the `loaderRepositoryClass` attribute
`LoaderRepositoryType<T>` | `setLoaderRepositoryClass(java.lang.String loaderRepositoryClass)` Sets the `loaderRepositoryClass` attribute

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllLoaderRepositoryConfig

    LoaderRepositoryType<T> removeAllLoaderRepositoryConfig()

  Removes all `loader-repository-config` elements

  Returns:
    the current instance of `LoaderRepositoryType`

### loaderRepositoryConfig

    LoaderRepositoryConfigType<LoaderRepositoryType<T>> loaderRepositoryConfig()

  Returns the `loader-repository-config` element

  Returns:
    the node defined for the element `loader-repository-config`

### getLoaderRepositoryConfigList

    java.util.List<LoaderRepositoryConfigType<LoaderRepositoryType<T>>> getLoaderRepositoryConfigList()

  Returns all `loader-repository-config` elements

  Returns:
    list of `loader-repository-config`

### setLoaderRepositoryClass

    LoaderRepositoryType<T> setLoaderRepositoryClass(java.lang.String loaderRepositoryClass)

  Sets the `loaderRepositoryClass` attribute

  Parameters:
    `loaderRepositoryClass` - the value for the attribute `loaderRepositoryClass`
  Returns:
    the current instance of `LoaderRepositoryType`

### removeLoaderRepositoryClass

    LoaderRepositoryType<T> removeLoaderRepositoryClass()

  Removes the `loaderRepositoryClass` attribute

  Returns:
    the current instance of `LoaderRepositoryType`

### getLoaderRepositoryClass

    java.lang.String getLoaderRepositoryClass()

  Returns the `loaderRepositoryClass` element

  Returns:
    the node defined for the element `loaderRepositoryClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD